Register Guidelines E-Books Search Today's Posts Mark Forums Read

Go Back   MobileRead Forums > E-Book Software > Calibre > Plugins

Notices

Reply
 
Thread Tools Search this Thread
Old 08-14-2014, 08:09 AM   #16
chrissydid
Junior Member
chrissydid began at the beginning.
 
Posts: 2
Karma: 10
Join Date: Aug 2014
Device: ipad mini
thanks montana! i was foolishly trying to get started learning the marvin plugin before setting up the app.
chrissydid is offline   Reply With Quote
Old 08-16-2014, 03:03 PM   #17
laris
Junior Member
laris began at the beginning.
 
Posts: 1
Karma: 10
Join Date: Aug 2014
Device: kindle dxg
hi,

i try to using this plugin between latest calibre and marvin in IOS8beta.
when i plugin the usb port, the calibre report:
Unable to connect to iDevice
laris is offline   Reply With Quote
 
Enthusiast
Old 08-17-2014, 02:39 PM   #18
tilia
Addict
tilia ought to be getting tired of karma fortunes by now.tilia ought to be getting tired of karma fortunes by now.tilia ought to be getting tired of karma fortunes by now.tilia ought to be getting tired of karma fortunes by now.tilia ought to be getting tired of karma fortunes by now.tilia ought to be getting tired of karma fortunes by now.tilia ought to be getting tired of karma fortunes by now.tilia ought to be getting tired of karma fortunes by now.tilia ought to be getting tired of karma fortunes by now.tilia ought to be getting tired of karma fortunes by now.tilia ought to be getting tired of karma fortunes by now.
 
tilia's Avatar
 
Posts: 385
Karma: 1441403
Join Date: Mar 2011
Device: Kindle 3
I've always had some books I couldn't send from calibre to Marvin. A couple of them had coding problems, but not all. This had gotten worse lately, and almost every book I tried transferring gave an error. Even books that had worked previously.

Because of this, I tried uninstalling the plugin. Now I get the following error when I connect marvin with calibre:

Spoiler:
calibre, version 1.48.0
ERROR: Error: Error communicating with device

'utf8' codec can't decode byte 0xf8 in position 47: invalid start byte

Traceback (most recent call last):
File "site-packages\calibre\gui2\device.py", line 86, in run
File "site-packages\calibre\gui2\device.py", line 490, in _books
File "C:\Users\Jane\AppData\Local\Temp\calibre_sj_qvw\i athz8_ios_local_db\Marvin_overlays.py", line 435, in books
File "calibre_plugins.ios_reader_apps.__init__", line 1392, in _log_metrics
UnicodeDecodeError: 'utf8' codec can't decode byte 0xf8 in position 47: invalid start byte


After dismissing the error message, I can add books to Marvin, but the next time I connect I get the same error and no books are shown as on the device.

Win 7, calibre 1.48 and an ipod touch 5th gen.
I've also tried uninstalling Marvin, nothing changed.
tilia is offline   Reply With Quote
Old 08-22-2014, 06:34 AM   #19
ChristopherTD
Addict
ChristopherTD ought to be getting tired of karma fortunes by now.ChristopherTD ought to be getting tired of karma fortunes by now.ChristopherTD ought to be getting tired of karma fortunes by now.ChristopherTD ought to be getting tired of karma fortunes by now.ChristopherTD ought to be getting tired of karma fortunes by now.ChristopherTD ought to be getting tired of karma fortunes by now.ChristopherTD ought to be getting tired of karma fortunes by now.ChristopherTD ought to be getting tired of karma fortunes by now.ChristopherTD ought to be getting tired of karma fortunes by now.ChristopherTD ought to be getting tired of karma fortunes by now.ChristopherTD ought to be getting tired of karma fortunes by now.
 
ChristopherTD's Avatar
 
Posts: 311
Karma: 1003456
Join Date: Apr 2008
Location: London. UK
Device: Marvin Reader on iPad Air (via Calibre)
It is probably early days for Calibre v2, but having upgraded to v2 of Calibre the iOS Reader plugin was uninstalled and cannot now be re-installed, with the following error. No reader was attached...

Traceback (most recent call last):
File "site-packages/calibre/gui2/dialogs/plugin_updater.py", line 712, in _install_clicked
File "site-packages/calibre/customize/ui.py", line 379, in add_plugin
File "site-packages/calibre/customize/ui.py", line 53, in load_plugin
File "site-packages/calibre/customize/zipplugin.py", line 197, in load
File "lib/python2.7/importlib/__init__.py", line 37, in import_module
File "site-packages/calibre/customize/zipplugin.py", line 179, in load_module
File "calibre_plugins.ios_reader_apps.__init__", line 43, in <module>
ImportError: No module named PyQt4.Qt
ChristopherTD is offline   Reply With Quote
Old 08-22-2014, 11:53 AM   #20
bglassford
Junior Member
bglassford began at the beginning.
 
Posts: 3
Karma: 10
Join Date: Mar 2003
Seeing the same issue as ChristopherTD - after upgrading to Calibre 2.0 the plugin ceases to function. So if you're using it, don't upgrade to Calibre 2.0 yet is my guess....
bglassford is offline   Reply With Quote
Old 08-22-2014, 12:08 PM   #21
kguil
Addict
kguil ought to be getting tired of karma fortunes by now.kguil ought to be getting tired of karma fortunes by now.kguil ought to be getting tired of karma fortunes by now.kguil ought to be getting tired of karma fortunes by now.kguil ought to be getting tired of karma fortunes by now.kguil ought to be getting tired of karma fortunes by now.kguil ought to be getting tired of karma fortunes by now.kguil ought to be getting tired of karma fortunes by now.kguil ought to be getting tired of karma fortunes by now.kguil ought to be getting tired of karma fortunes by now.kguil ought to be getting tired of karma fortunes by now.
 
kguil's Avatar
 
Posts: 992
Karma: 1470408
Join Date: Feb 2010
Location: Malta, Europe
Device: Marvin for iOS
@Philantrop and myself are aware of the issue and are investigating a fix.
kguil is offline   Reply With Quote
Old 08-22-2014, 12:10 PM   #22
kovidgoyal
creator of calibre
kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.
 
kovidgoyal's Avatar
 
Posts: 25,993
Karma: 5036765
Join Date: Oct 2006
Location: Mumbai, India
Device: Various
Just in case you missed it, here is the thread with information on how to port calibre plugins to Qt 5 for calibre 2.0: http://www.mobileread.com/forums/sho...d.php?t=242223
kovidgoyal is online now   Reply With Quote
Old 08-22-2014, 05:34 PM   #23
tilia
Addict
tilia ought to be getting tired of karma fortunes by now.tilia ought to be getting tired of karma fortunes by now.tilia ought to be getting tired of karma fortunes by now.tilia ought to be getting tired of karma fortunes by now.tilia ought to be getting tired of karma fortunes by now.tilia ought to be getting tired of karma fortunes by now.tilia ought to be getting tired of karma fortunes by now.tilia ought to be getting tired of karma fortunes by now.tilia ought to be getting tired of karma fortunes by now.tilia ought to be getting tired of karma fortunes by now.tilia ought to be getting tired of karma fortunes by now.
 
tilia's Avatar
 
Posts: 385
Karma: 1441403
Join Date: Mar 2011
Device: Kindle 3
Quote:
Originally Posted by tilia View Post
I've always had some books I couldn't send from calibre to Marvin. A couple of them had coding problems, but not all. This had gotten worse lately, and almost every book I tried transferring gave an error. Even books that had worked previously.

Because of this, I tried uninstalling the plugin. Now I get the following error when I connect marvin with calibre:

Spoiler:
calibre, version 1.48.0
ERROR: Error: Error communicating with device

'utf8' codec can't decode byte 0xf8 in position 47: invalid start byte

Traceback (most recent call last):
File "site-packages\calibre\gui2\device.py", line 86, in run
File "site-packages\calibre\gui2\device.py", line 490, in _books
File "C:\Users\Jane\AppData\Local\Temp\calibre_sj_qvw\i athz8_ios_local_db\Marvin_overlays.py", line 435, in books
File "calibre_plugins.ios_reader_apps.__init__", line 1392, in _log_metrics
UnicodeDecodeError: 'utf8' codec can't decode byte 0xf8 in position 47: invalid start byte


After dismissing the error message, I can add books to Marvin, but the next time I connect I get the same error and no books are shown as on the device.

Win 7, calibre 1.48 and an ipod touch 5th gen.
I've also tried uninstalling Marvin, nothing changed.
I noticed that someone posted about the same problem on github, but I fixed this error by copying back the old plugin-files(in calibre's configuration directory) from a backup made before uninstalling the plugin the first time.

I still get an utf8 error when I try to transfer some books that seem to have the correct encoding, but I need to investigate the code of these epubs more. A couple I'm able to transfer after an epub-to-epub conversion with utf8 encoding, at least one still won't transfer. Modify epub never works for this. I'll check these books more closely when I have time.

So far I haven't gotten the other error that started popping up so often just recently, and have actually been able to transfer a couple of books I know gave this error message(that I don't remember wording of). Fingers cross that it will stay this way
tilia is offline   Reply With Quote
Old 08-22-2014, 05:37 PM   #24
JSWolf
Resident Curmudgeon
JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.
 
JSWolf's Avatar
 
Posts: 37,300
Karma: 18156082
Join Date: Nov 2006
Location: Roslindale, Massachusetts
Device: Sony Reader PRS-650, iPad, nook STR
Quote:
Originally Posted by kguil View Post
@Philantrop and myself are aware of the issue and are investigating a fix.
There's nothing to investigate. Calibre 2.0 has switched to using Qt5 instead of using Qt4 as the previous versions were using. The plugins have to be modified to work with both Qt4 and Qt5.

There is a thread on modifying plugins to go from Qt4 to Qt4/Qt5. http://www.mobileread.com/forums/sho...d.php?t=242223
JSWolf is online now   Reply With Quote
Old 08-22-2014, 05:39 PM   #25
JSWolf
Resident Curmudgeon
JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.JSWolf ought to be getting tired of karma fortunes by now.
 
JSWolf's Avatar
 
Posts: 37,300
Karma: 18156082
Join Date: Nov 2006
Location: Roslindale, Massachusetts
Device: Sony Reader PRS-650, iPad, nook STR
Quote:
Originally Posted by tilia View Post
I noticed that someone posted about the same problem on github, but I fixed this error by copying back the old plugin-files(in calibre's configuration directory) from a backup made before uninstalling the plugin the first time.

I still get an utf8 error when I try to transfer some books that seem to have the correct encoding, but I need to investigate the code of these epubs more. A couple I'm able to transfer after an epub-to-epub conversion with utf8 encoding, at least one still won't transfer. Modify epub never works for this. I'll check these books more closely when I have time.

So far I haven't gotten the other error that started popping up so often just recently, and have actually been able to transfer a couple of books I know gave this error message(that I don't remember wording of). Fingers cross that it will stay this way
I suggest that this is not a good way to run this plugin as the plugin is not Qt5 compatible and could very well cause problems.

My suggestion, is if you need the iOS and Marvin plugins now, downgrade Calibre back to 1.48 and stay there until the plugins have been Qt5 certified and then update Calibre.
JSWolf is online now   Reply With Quote
Old 08-22-2014, 05:50 PM   #26
tilia
Addict
tilia ought to be getting tired of karma fortunes by now.tilia ought to be getting tired of karma fortunes by now.tilia ought to be getting tired of karma fortunes by now.tilia ought to be getting tired of karma fortunes by now.tilia ought to be getting tired of karma fortunes by now.tilia ought to be getting tired of karma fortunes by now.tilia ought to be getting tired of karma fortunes by now.tilia ought to be getting tired of karma fortunes by now.tilia ought to be getting tired of karma fortunes by now.tilia ought to be getting tired of karma fortunes by now.tilia ought to be getting tired of karma fortunes by now.
 
tilia's Avatar
 
Posts: 385
Karma: 1441403
Join Date: Mar 2011
Device: Kindle 3
JSWolf, my problem have nothing to do with Qt5. I'm still using 1.48.
tilia is offline   Reply With Quote
Old 08-23-2014, 05:02 AM   #27
Joggerhans
Junior Member
Joggerhans began at the beginning.
 
Posts: 1
Karma: 10
Join Date: Aug 2014
Device: iPad
Unable to install the iOS plugin

Traceback (most recent call last):
File "site-packages/calibre/gui2/dialogs/plugin_updater.py", line 712, in _install_clicked
File "site-packages/calibre/customize/ui.py", line 379, in add_plugin
File "site-packages/calibre/customize/ui.py", line 53, in load_plugin
File "site-packages/calibre/customize/zipplugin.py", line 197, in load
File "lib/python2.7/importlib/__init__.py", line 37, in import_module
File "site-packages/calibre/customize/zipplugin.py", line 179, in load_module
File "calibre_plugins.ios_reader_apps.__init__", line 43, in <module>
ImportError: No module named PyQt4.Qt

Thanks for helping!
Joggerhans is offline   Reply With Quote
Old 08-23-2014, 07:29 AM   #28
Irving
Junior Member
Irving began at the beginning.
 
Posts: 4
Karma: 10
Join Date: Aug 2014
Device: iPhone 4 - Marvin
Hello,
I have this error message :

calibre, version 2.0.0
ERREUR: L’installation de l’extension a échoué: Un problème est survenu lors de l’installation de cette extension. Cette extension va être maintenant désinstallée. Veuillez svp bien vouloir poster le message d’erreur détaillé ci-dessous dans la discussion du forum relative à cette extension et redémarrer calibre.

Traceback (most recent call last):
File "site-packages\calibre\gui2\dialogs\plugin_updater.py", line 712, in _install_clicked
File "site-packages\calibre\customize\ui.py", line 379, in add_plugin
File "site-packages\calibre\customize\ui.py", line 53, in load_plugin
File "site-packages\calibre\customize\zipplugin.py", line 195, in load
File "site-packages\calibre\customize\zipplugin.py", line 179, in load_module
File "calibre_plugins.ios_reader_apps.__init__", line 43, in <module>
ImportError: No module named PyQt4.Qt
Irving is offline   Reply With Quote
Old 08-23-2014, 07:58 AM   #29
tilia
Addict
tilia ought to be getting tired of karma fortunes by now.tilia ought to be getting tired of karma fortunes by now.tilia ought to be getting tired of karma fortunes by now.tilia ought to be getting tired of karma fortunes by now.tilia ought to be getting tired of karma fortunes by now.tilia ought to be getting tired of karma fortunes by now.tilia ought to be getting tired of karma fortunes by now.tilia ought to be getting tired of karma fortunes by now.tilia ought to be getting tired of karma fortunes by now.tilia ought to be getting tired of karma fortunes by now.tilia ought to be getting tired of karma fortunes by now.
 
tilia's Avatar
 
Posts: 385
Karma: 1441403
Join Date: Mar 2011
Device: Kindle 3
@Irving and Joggerhans, this plugin haven't been updated to work with calibre 2.0 yet. In the meantime, if you want to use the plugin, you need to downgrade to calibre 1.48.
tilia is offline   Reply With Quote
Old 08-23-2014, 12:24 PM   #30
oybobby
Junior Member
oybobby began at the beginning.
 
Posts: 1
Karma: 10
Join Date: Jul 2014
Device: ipad
NEVER MIND... just read tilia's post that came in after I last read the thread. Sorry.

Thanks.

Regards,
Maurice

Last edited by oybobby; 08-24-2014 at 12:41 AM. Reason: just saw last post telling me to downgrade to 1.48
oybobby is offline   Reply With Quote
Reply

Thread Tools Search this Thread
Search this Thread:

Advanced Search

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
[Device Plugin] iOS reader applications (closed) GRiker Plugins 182 06-15-2014 05:00 PM
iOS Reader Application Plugin Guinan Plugins 1 03-30-2014 08:18 PM
Getting Books onto your iOS device with iTunes kyteflyer Apple Devices 9 01-30-2013 02:50 PM
[Device Plugin] Kindle 2, 3, 4, Touch Device Interface MBP Update Mod cryzed Plugins 7 10-28-2012 04:58 PM


All times are GMT -4. The time now is 08:48 AM.


MobileRead.com is a privately owned, operated and funded community.